Bug 98923 - mount prints wrong error message in case of missing mount dir
Summary: mount prints wrong error message in case of missing mount dir
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-10 14:11 UTC by David Balažic
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-30 20:45:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Balažic 2003-07-10 14:11:04 UTC
On RHL9 (Shrike) :

[root@slave6 root]# mount /dev/hdg8 /mnt/8
mount: you must specify the filesystem type # <<--- HERE
[root@slave6 root]# mkdir /mnt/8
[root@slave6 root]# mount /dev/hdg8 /mnt/8
FAT: bogus logical sector size 11307
VFS: Can't find a valid FAT filesystem on dev 22:08.
mount: you must specify the filesystem type

The wrong error message is printed at the "HERE" comment IMHO.
It should say "/mnt/8: No such file or directory".

Version:
mount-2.11y-9

Comment 1 Elliot Lee 2003-07-30 20:45:20 UTC
The error message is correct - a filesystem type is required. Whether or not there are other 
errors is irrelevant. You'll see those errors as soon as you follow the instructions. :)

Comment 2 David Balažic 2003-07-31 07:32:59 UTC
I disagree. The error text could be much more user friendly.


Note You need to log in before you can comment on or make changes to this bug.